Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class EmblProcessor.Factory

    java.lang.Object
      org.biojava.bio.seq.io.EmblProcessor.Factory

All Implemented Interfaces:
  Serializable, SequenceBuilderFactory

Enclosing class:
  EmblProcessor

    public static class EmblProcessor.Factory

extends Object
implements SequenceBuilderFactory, Serializable

Factory which wraps SequenceBuilders in an EmblProcessor

Author:
  Thomas Down
See Also:
  Serialized Form

Constructor Summary
`EmblProcessor.Factory(SequenceBuilderFactory delegateFactory)`

Method Summary
`SequenceBuilder` | `makeSequenceBuilder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmblProcessor.Factory

    public EmblProcessor.Factory(SequenceBuilderFactory delegateFactory)

Method Detail

### makeSequenceBuilder

    public SequenceBuilder makeSequenceBuilder()

  Specified by:
    `makeSequenceBuilder` in interface `SequenceBuilderFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD